Payment batches & settlement
Add Squads Integration
Name and signature indicate it adds squads integration
POSThttps://api.toku.com/stablecoin-payroll/add-squads-integration
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/add-squads-integration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"clientMultisigVaultPublicKey": "string",
"accountIndex": 0,
"accountAddress": "string",
"signerPrivateKey": "string",
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"squadsIntegrationID": "string",
"orgID": "string",
"signerPublicKey": "string",
"multiSigAddress": "string",
"multiSigAccountIndex": 0,
"multiSigAccountAddress": "string",
"isSignerOnMultiSig": true,
"createdAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
clientMultisigVaultPublicKeystringrequiredAllowed: 32 to 44 characters
accountIndexintegerrequiredAllowed: at least 0
accountAddressstringAllowed: 32 to 44 characters
signerPrivateKeystringNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
orgIDstring<uuid>Response
200Successful response
squadsIntegrationIDstringrequiredorgIDstringrequiredsignerPublicKeystringrequiredmultiSigAddressstringrequiredmultiSigAccountIndexintegerrequiredmultiSigAccountAddressstringrequiredisSignerOnMultiSigbooleanrequiredcreatedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits